<?php
$output = $el_position = $title = $width = $el_class = $sidebar_id = '';
extract(shortcode_atts(array(
    'el_position' => '',
    'title' => '',
    'width' => '1/1',
    'el_class' => '',
    'sidebar_id' => ''
), $atts));
if ( $sidebar_id == '' ) return null;

$el_class = $this->getExtraClass($el_class);

ob_start();
dynamic_sidebar($sidebar_id);
$sidebar_value = ob_get_contents();
ob_end_clean();

$sidebar_value = trim($sidebar_value);
$output .= '<div class="yt-vc-element yt-vc-widget-sidebar' . $el_class . '">';
$output .= wpb_widget_title( array('title' => $title, 'extraclass' => 'yt-vc-element-heading') );
$output .= $sidebar_value;
$output .= '</div>';

echo $output;